#define ELAN_MMCR_REVID          0x00
#define ELAN_MMCR_CPUCTL         0x02
#define ELAN_MMCR_DRCCTL         0x10
#define ELAN_MMCR_DRCTMCTL       0x12
#define ELAN_MMCR_DRCCFG         0x14
#define ELAN_MMCR_DRCBENDADR     0x18
#define ELAN_MMCR_ECCCTL         0x20
#define ELAN_MMCR_ECCSTA         0x21
#define ELAN_MMCR_ECCCKBPOS      0x22
#define ELAN_MMCR_ECCCKTEST      0x23
#define ELAN_MMCR_ECCSBADD       0x24
#define ELAN_MMCR_ECCMBADD       0x28
#define ELAN_MMCR_DBCTL          0x40
#define ELAN_MMCR_BOOTCSCTL      0x50
#define ELAN_MMCR_ROMCS1CTL      0x54
#define ELAN_MMCR_ROMCS2CTL      0x56
#define ELAN_MMCR_HBCTL          0x60
#define ELAN_MMCR_HBTGTIRQCTL    0x62
#define ELAN_MMCR_HBTGTIRQSTA    0x64
#define ELAN_MMCR_HBMSTIRQCTL    0x66
#define ELAN_MMCR_HBMSTIRQSTA    0x68
#define ELAN_MMCR_MSTINTADD      0x6c
#define ELAN_MMCR_SYSARBCTL      0x70
#define ELAN_MMCR_PCIARBSTA      0x71
#define ELAN_MMCR_SYSARBMENB     0x72
#define ELAN_MMCR_ARBPRICTL      0x74
#define ELAN_MMCR_ADDDECCTL      0x80
#define ELAN_MMCR_WPVSTA         0x82
#define ELAN_MMCR_PAR0           0x88
#define ELAN_MMCR_PAR1           0x8c
#define ELAN_MMCR_PAR2           0x90
#define ELAN_MMCR_PAR3           0x94
#define ELAN_MMCR_PAR4           0x98
#define ELAN_MMCR_PAR5           0x9c
#define ELAN_MMCR_PAR6           0xa0
#define ELAN_MMCR_PAR7           0xa4
#define ELAN_MMCR_PAR8           0xa8
#define ELAN_MMCR_PAR9           0xac
#define ELAN_MMCR_PAR10          0xb0
#define ELAN_MMCR_PAR11          0xb4
#define ELAN_MMCR_PAR12          0xb8
#define ELAN_MMCR_PAR13          0xbc
#define ELAN_MMCR_PAR14          0xc0
#define ELAN_MMCR_PAR15          0xc4
#define ELAN_MMCR_GPECHO         0xc00
#define ELAN_MMCR_GPCSDW         0xc01
#define ELAN_MMCR_GPCSQUAL       0xc02
#define ELAN_MMCR_GPCSRT         0xc08
#define ELAN_MMCR_GPCSPW         0xc09
#define ELAN_MMCR_GPCSOFF        0xc0a
#define ELAN_MMCR_GPRDW          0xc0b
#define ELAN_MMCR_GPRDOFF        0xc0c
#define ELAN_MMCR_GPWRW          0xc0d
#define ELAN_MMCR_GPWROFF        0xc0e
#define ELAN_MMCR_GPALEW         0xc0f
#define ELAN_MMCR_GPALEOFF       0xc10
#define ELAN_MMCR_PIOPFS15_0     0xc20
#define ELAN_MMCR_PIOPFS31_16    0xc22
#define ELAN_MMCR_CSPFS          0xc24
#define ELAN_MMCR_CLKSEL         0xc26
#define ELAN_MMCR_DSCTL          0xc28
#define ELAN_MMCR_PIODIR15_0     0xc2a
#define ELAN_MMCR_PIODIR31_16    0xc2c
#define ELAN_MMCR_PIODATA15_0    0xc30
#define ELAN_MMCR_PIODATA31_16   0xc32
#define ELAN_MMCR_PIOSET15_0     0xc34
#define ELAN_MMCR_PIOSET31_16    0xc36
#define ELAN_MMCR_PIOCLR15_0     0xc38
#define ELAN_MMCR_PIOCLR31_16    0xc3a
#define ELAN_MMCR_SWTMRMILLI     0xc60
#define ELAN_MMCR_SWTMRMICRO     0xc62
#define ELAN_MMCR_SWTMRCFG       0xc64
#define ELAN_MMCR_GPTMRSTA       0xc70
#define ELAN_MMCR_GPTMR0CTL      0xc72
#define ELAN_MMCR_GPTMR0CNT      0xc74
#define ELAN_MMCR_GPTMR0MAXCMPA  0xc76
#define ELAN_MMCR_GPTMR0MAXCMPB  0xc78
#define ELAN_MMCR_GPTMR1CTL      0xc7a
#define ELAN_MMCR_GPTMR1CNT      0xc7c
#define ELAN_MMCR_GPTMR1MAXCMPA  0xc7e
#define ELAN_MMCR_GPTMR1MAXCMPB  0xc80
#define ELAN_MMCR_GPTMR2CTL      0xc82
#define ELAN_MMCR_GPTMR2CNT      0xc84
#define ELAN_MMCR_GPTMR2MAXCMPA  0xc8e
#define ELAN_MMCR_WDTMRCTL       0xcb0
#define ELAN_MMCR_WDTMRCNTL      0xcb2
#define ELAN_MMCR_WDTMRCNTH      0xcb4
#define ELAN_MMCR_UART1CTL       0xcc0
#define ELAN_MMCR_UART1STA       0xcc1
#define ELAN_MMCR_UART1FCRSHAD   0xcc2
#define ELAN_MMCR_UART2CTL       0xcc4
#define ELAN_MMCR_UART2STA       0xcc5
#define ELAN_MMCR_UART2FCRSHAD   0xcc6
#define ELAN_MMCR_SSICTL         0xcd0
#define ELAN_MMCR_SSIXMIT        0xcd1
#define ELAN_MMCR_SSICMD         0xcd2
#define ELAN_MMCR_SSISTA         0xcd3
#define ELAN_MMCR_SSIRCV         0xcd4
#define ELAN_MMCR_PICICR         0xd00
#define ELAN_MMCR_MPICMODE       0xd02
#define ELAN_MMCR_SL1PICMODE     0xd03
#define ELAN_MMCR_SL2PICMODE     0xd04
#define ELAN_MMCR_SWINT16_1      0xd08
#define ELAN_MMCR_SWINT22_17     0xd0a
#define ELAN_MMCR_INTPINPOL      0xd10
#define ELAN_MMCR_PCIHOSTMAP     0xd14
#define ELAN_MMCR_ECCMAP         0xd18
#define ELAN_MMCR_GPTMR0MAP      0xd1a
#define ELAN_MMCR_GPTMR1MAP      0xd1b
#define ELAN_MMCR_GPTMR2MAP      0xd1c
#define ELAN_MMCR_PIT0MAP        0xd20
#define ELAN_MMCR_PIT1MAP        0xd21
#define ELAN_MMCR_PIT2MAP        0xd22
#define ELAN_MMCR_UART1MAP       0xd28
#define ELAN_MMCR_UART2MAP       0xd29
#define ELAN_MMCR_PCIINTAMAP     0xd30
#define ELAN_MMCR_PCIINTBMAP     0xd31
#define ELAN_MMCR_PCIINTCMAP     0xd32
#define ELAN_MMCR_PCIINTDMAP     0xd33
#define ELAN_MMCR_DMABCINTMAP    0xd40
#define ELAN_MMCR_SSIMAP         0xd41
#define ELAN_MMCR_WDTMAP         0xd42
#define ELAN_MMCR_RTCMAP         0xd43
#define ELAN_MMCR_WPVMAP         0xd44
#define ELAN_MMCR_ICEMAP         0xd45
#define ELAN_MMCR_FERRMAP        0xd46
#define ELAN_MMCR_GP0IMAP        0xd50
#define ELAN_MMCR_GP1IMAP        0xd51
#define ELAN_MMCR_GP2IMAP        0xd52
#define ELAN_MMCR_GP3IMAP        0xd53
#define ELAN_MMCR_GP4IMAP        0xd54
#define ELAN_MMCR_GP5IMAP        0xd55
#define ELAN_MMCR_GP6IMAP        0xd56
#define ELAN_MMCR_GP7IMAP        0xd57
#define ELAN_MMCR_GP8IMAP        0xd58
#define ELAN_MMCR_GP9IMAP        0xd59
#define ELAN_MMCR_GP10IMAP       0xd5a
#define ELAN_MMCR_SYSINFO        0xd70
#define ELAN_MMCR_RESCFG         0xd72
#define ELAN_MMCR_RESSTA         0xd74
#define ELAN_MMCR_GPDMACTL       0xd80
#define ELAN_MMCR_GPDMAMMIO      0xd81
#define ELAN_MMCR_GPDMAEXTCHMAPA 0xd82
#define ELAN_MMCR_GPDMAEXTCHMAPB 0xd84
#define ELAN_MMCR_GPDMAEXTPG0    0xd86
#define ELAN_MMCR_GPDMAEXTPG1    0xd87
#define ELAN_MMCR_GPDMAEXTPG2    0xd88
#define ELAN_MMCR_GPDMAEXTPG3    0xd89
#define ELAN_MMCR_GPDMAEXTPG5    0xd8a
#define ELAN_MMCR_GPDMAEXTPG6    0xd8b
#define ELAN_MMCR_GPDMAEXTPG7    0xd8c
#define ELAN_MMCR_GPDMAEXTTC3    0xd90
#define ELAN_MMCR_GPDMAEXTTC5    0xd91
#define ELAN_MMCR_GPDMAEXTTC6    0xd92
#define ELAN_MMCR_GPDMAEXTTC7    0xd93
#define ELAN_MMCR_GPDMABCCTL     0xd98
#define ELAN_MMCR_GPDMABCSTA     0xd99
#define ELAN_MMCR_GPDMABSINTENB  0xd9a
#define ELAN_MMCR_GPDMABCVAL     0xd9b
#define ELAN_MMCR_GPDMANXTADDL3  0xda0
#define ELAN_MMCR_GPDMANXTADDH3  0xda2
#define ELAN_MMCR_GPDMANXTADDL5  0xda4
#define ELAN_MMCR_GPDMANXTADDH5  0xda6
#define ELAN_MMCR_GPDMANXTADDL6  0xda8
#define ELAN_MMCR_GPDMANXTADDH6  0xdaa
#define ELAN_MMCR_GPDMANXTADDL7  0xdac
#define ELAN_MMCR_GPDMANXTADDH7  0xdae
#define ELAN_MMCR_GPDMANXTTCL3   0xdb0
#define ELAN_MMCR_GPDMANXTTCH3   0xdb2
#define ELAN_MMCR_GPDMANXTTCL5   0xdb4
#define ELAN_MMCR_GPDMANXTTCH5   0xdb6
#define ELAN_MMCR_GPDMANXTTCL6   0xdb8
#define ELAN_MMCR_GPDMANXTTCH6   0xdba
#define ELAN_MMCR_GPDMANXTTCL7   0xdbc
#define ELAN_MMCR_GPDMANXTTCH7   0xdbe
